Bug 203060 - can't delete a composed character with a single Delete keypress
Summary: can't delete a composed character with a single Delete keypress
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-18 05:30 UTC by Akira TAGOH
Modified: 2018-04-11 11:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 16:17:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.57 KB, patch)
2006-08-18 08:54 UTC, Akira TAGOH
no flags Details | Diff

Description Akira TAGOH 2006-08-18 05:30:40 UTC
Description of problem:
This problem is similar to Bug#157913, but apparently thunderbird needs a
different fix in itself.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.5-4

How reproducible:
always

Steps to Reproduce:
1.open a composer
2.copy and paste an Indic character from
http://bob.brisbane.redhat.com/eng/indic/hindi/BrowserTest_Hindi.html say.
3.try to delete it with Delete key
  
Actual results:
can't delete the whole composed character with a single 'Delete' keypress

Expected results:
should delete the whole composed character with a single 'Delete' keypress

Additional info:

Comment 1 Akira TAGOH 2006-08-18 08:54:45 UTC
Created attachment 134426 [details]
proposed patch

Actually this patch is the same one as I've attached to fix the same bug on
firefox, Bug#157913 though, it needs to be applied to thunderbird as well since
both are separate package even if the source code is basically the same.

Comment 2 Matthias Clasen 2006-09-15 19:18:53 UTC
Given the "must be upstream first" policy for mozilla patches, these bugs can't
block FC6



Comment 3 Matthias Clasen 2006-09-21 18:49:49 UTC
Akira, can you file an upstream bug ?

Comment 4 Matěj Cepl 2008-02-08 16:17:32 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Comment 5 Parag Nemade 2008-04-10 06:13:50 UTC
Still this can be reproduced with thunderbird-2.0.0.12-4.fc9.i386


Note You need to log in before you can comment on or make changes to this bug.